[![Semiotic](semiotic_logo_horizontal.png "semiotic")](https://semiotic.nteract.io)

[![Semiotic](https://github.com/nteract/semiotic/actions/workflows/node.js.yml/badge.svg?branch=main)](https://github.com/nteract/semiotic/actions/workflows/node.js.yml)

Semiotic is a data visualization framework combining React &amp; D3.

## Documentation

[Interactive Documentation v1.x](https://semioticv1.nteract.io/)

[API Docs v1.x](https://semioticv1.nteract.io/api)

[Interactive Examples v1.x](https://semioticv1.nteract.io/examples)

[Preview of Interactive Documentation for v2.x](https://semiotic.nteract.io)

## Installation

```bash
yarn install semiotic
```

## Usage Example

As a library:
```js
import { XYFrame } from "semiotic"
```

You can also use the static distribution (via https://unpkg.com or https://esm.sh):

```html
<script type="module">
	import { XYFrame } from "https://unpkg.com/semiotic?module"
</script>
```

[These Codepen examples](https://codepen.io/emeeks/) use the static distribution.

## Project recognition

_Semiotic icon based on an icon by André Schauer_

It may not be apparent in the commit logs but development of this library owes a lot to:

* Susie Lu
* Jason Reid
* James Womack
* Matt Herman
* Shelby Sturgis
* Tristan Reid

## Testing

Using BrowserStack for browser compatibility testing
[![BrowserStack](browserstack_logo.png "browserstack")](http://browserstack.com/)

## Changelog

[Changelog](./CHANGELOG.md)

## License

[License](./LICENSE)

## Contributing

Our community follows the nteract [Contributor Code of Conduct](https://github.com/nteract/nteract/blob/main/CODE_OF_CONDUCT.md).

If you are interested in contributing to the project, please read our [CONTRIBUTING.md](CONTRIBUTING.md) file.
